package cn.iocoder.yudao.module.order.convert.orderExceptionResult;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.order.dal.dataobject.orderExceptionResult.OrderExceptionResultDO;
import cn.iocoder.yudao.module.order.vo.orderExceptionResult.OrderExceptionResultBackVO;
import cn.iocoder.yudao.module.order.vo.orderExceptionResult.OrderExceptionResultCreateReqVO;
import cn.iocoder.yudao.module.order.vo.orderExceptionResult.OrderExceptionResultUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 异常处理记录 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderExceptionResultConvert {
    /*****转换MapStruct*****/
    OrderExceptionResultConvert INSTANCE = Mappers.getMapper(OrderExceptionResultConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderExceptionResultDO convert(OrderExceptionResultCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderExceptionResultDO convert(OrderExceptionResultUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderExceptionResultBackVO convert(OrderExceptionResultDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderExceptionResultBackVO> convertList(List<OrderExceptionResultDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderExceptionResultBackVO> convertPage(PageResult<OrderExceptionResultDO> page);
}
