package cn.iocoder.yudao.module.order.vo.orderControlLog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订单控货日志查询 VO")
public class OrderControlLogQueryVO {

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "请求地址")
    private String requestUrl;

    @ApiModelProperty("控货日志类型key值：1 新增控货 2 更新控货 3 转移控货 4 放货 5 放货复核 6 放货取消  7 放货修改申请 8 放货反复核申请 " +
            "9 被调货申请 10 调货申请 11 取消放货申请 12 放货修改失败 13 放货反复核失败 14 被调货失败 15 调货失败 16 取消放货失败 17 放货修改通过" +
            "18 放货反复核通过 19 调货审批通过 20 被调货审批通过 21 取消放货审批通过")
    private Integer typeKey;

    @ApiModelProperty(value = "变更类型")
    private String type;

    @ApiModelProperty(value = "变更描述")
    private String msg;

    @ApiModelProperty(value = "操作人类型：1 会员 2 管理员")
    private Integer userType;

    @ApiModelProperty(value = "创建者名称")
    private String creatorName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty("审核ID")
    private Long approvalId;

    @ApiModelProperty(value = "变更类型英文")
    private String typeEn;

    @ApiModelProperty(value = "变更类型法文")
    private String typeFr;

    @ApiModelProperty(value = "变更描述英文")
    private String msgEn;

    @ApiModelProperty(value = "变更描述法文")
    private String msgFr;
}
